Subject: [bug#60640] Gnu: Add gdcm

From: Tor-björn Claesson <[email-masked]>
Date: Fri, 20 Jan 2023 14:44:02 +0200

Also, I can't build gdcm from the main guix repo although it builds
perfectly fine in my local checkout. The cause is three failing tests.
Attached is a patch to ignore them.

I'm really sorry about this.
Is there something else I could have done to catch this before submitting?

Tor-björn Claesson

Den fre 20 jan. 2023 kl 13:30 skrev Tor-björn Claesson <[email-masked]
>:

> Hi,
>
> Den tis 17 jan. 2023 kl 16:38 skrev Ludovic Courtès <[email-masked]>:
>
>>
>> In general, we don’t install documentation as PDF/PS, unless there’s no
>> other choice (preferred formats are Info, man pages, and HTML).
>>
>> Is there such an option?
>>
> The new version of the patch builds HTML documentation, but not man-pages
> (because of a xsl-requirement and including libxslt as a native input
> causes the build to fail.)
>
> I wrote the previous answer in a rush, and failed to properly address this
> question. For this I apologize, it was not meant to be disrespectful.
>
> Tor-björn
>
From e1e8d18c4db9de4c8f46354ba3fc912f23ebe9d0 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Tor-bj=C3=B6rn=20Claesson?= <[email-masked]>
Date: Fri, 20 Jan 2023 14:38:39 +0200
Subject: [PATCH] gnu: gdcm: Ignore 3 failing tests.

---
 gnu/packages/bioinformatics.scm | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/gnu/packages/bioinformatics.scm b/gnu/packages/bioinformatics.scm
index e60dffc21e..c23f731687 100644
--- a/gnu/packages/bioinformatics.scm
+++ b/gnu/packages/bioinformatics.scm
@@ -17861,6 +17861,9 @@ (define-public gdcm
                              "'TestFileMetaInformation"
                              "|TestElement2"
                              "|TestSCUValidation"
+                             "|TestWriter"
+                             "|TestAnonymizer4"
+                             "|TestPrinter1"
                              "|TestEcho"
                              "|TestFind'"))))
     (home-page "https://gdcm.sourceforge.net/wiki/index.php/Main_Page")
-- 
2.38.1